"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-39/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968709CA0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968709D30>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968709DC0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968709E50>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968709EE0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968709F70>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F040>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F0D0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F160>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F1F0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F280>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F310>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F3A0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F430>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F4C0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F550>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F5E0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F670>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F700>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F790>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F820>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F8B0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F940>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870F9D0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FAF0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FA60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FB80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FC10>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FCA0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FD30>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FDC0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FE50>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FEE0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000002196870FF70>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712040>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687120D0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712160>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687121F0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712280>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712310>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687123A0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712430>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687124C0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712550>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687125E0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712670>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712700>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712790>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712820>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687128B0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687129D0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712A60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712AF0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712B80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712C10>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712CA0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712D30>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712DC0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712E50>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712EE0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968712F70>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717040>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687170D0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717310>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687171F0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687173A0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717430>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687174C0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717550>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687175E0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717670>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717790>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717820>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687178B0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x00000219687179D0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717A60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717AF0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717B80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717C10>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717CA0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000021968717D30>)]
name: str = 'fr_HOCCN'
